org.apache.avro.perf.test.basic

## Class LongTest.TestStateEncode

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.basic.LongTest.TestStateEncode

Direct Known Subclasses:
  LongTest_TestStateEncode_jmhType_B1

Enclosing class:
  LongTest

    public static class LongTest.TestStateEncode
    extends BasicState

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`TestStateEncode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doSetupTrial()` Avro uses Zig-Zag variable length encoding for numeric values.

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestStateEncode

    public TestStateEncode()

### Method Detail

#### doSetupTrial

    public void doSetupTrial()
                      throws Exception

Avro uses Zig-Zag variable length encoding for numeric values. Ensure there are some int of each possible size.

Throws:
  `IOException` - Could not setup test data
  `Exception`